org.apache.cassandra.service

## Class EchoVerbHandler

- java.lang.Object
- - org.apache.cassandra.service.EchoVerbHandler

All Implemented Interfaces:
  IVerbHandler<EchoMessage>

    public class EchoVerbHandler
    extends java.lang.Object
    implements IVerbHandler<EchoMessage>

### Constructor Summary

Constructors
Constructor and Description
`EchoVerbHandler()`

### Method Summary

Methods
`void` `doVerb(MessageIn<EchoMessage> message, int id)` This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EchoVerbHandler

    public EchoVerbHandler()

### Method Detail

#### doVerb

    public void doVerb(MessageIn<EchoMessage> message,
              int id)

Description copied from interface: `IVerbHandler`
This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers). Note that the caller should not be holding any locks when calling this method because the implementation may be synchronized.

Specified by:
  `doVerb` in interface `IVerbHandler<EchoMessage>`
Parameters:
  `message` - - incoming message that needs handling.